Index: uspace/srv/devman/drv_conn.c
===================================================================
--- uspace/srv/devman/drv_conn.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/devman/drv_conn.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -64,5 +64,5 @@
 
 /** Register running driver. */
-static driver_t *devman_driver_register(cap_call_handle_t callid, ipc_call_t *call)
+static driver_t *devman_driver_register(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	driver_t *driver = NULL;
@@ -74,5 +74,5 @@
 	errno_t rc = async_data_write_accept((void **) &drv_name, true, 0, 0, 0, 0);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return NULL;
 	}
@@ -87,5 +87,5 @@
 		free(drv_name);
 		drv_name = NULL;
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return NULL;
 	}
@@ -101,5 +101,5 @@
 		    driver->name);
 		fibril_mutex_unlock(&driver->driver_mutex);
-		async_answer_0(callid, EEXIST);
+		async_answer_0(chandle, EEXIST);
 		return NULL;
 	}
@@ -126,5 +126,5 @@
 	if (!driver->sess) {
 		fibril_mutex_unlock(&driver->driver_mutex);
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return NULL;
 	}
@@ -146,5 +146,5 @@
 		    "for driver `%s'.", driver->name);
 		fibril_mutex_unlock(&driver->driver_mutex);
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return NULL;
 	}
@@ -153,5 +153,5 @@
 	fibril_mutex_unlock(&driver->driver_mutex);
 
-	async_answer_0(callid, EOK);
+	async_answer_0(chandle, EOK);
 	return driver;
 }
@@ -166,13 +166,13 @@
 {
 	match_id_t *match_id = create_match_id();
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	ipc_call_t call;
 	errno_t rc = 0;
 
-	callid = async_get_call(&call);
+	chandle = async_get_call(&call);
 	if (DEVMAN_ADD_MATCH_ID != IPC_GET_IMETHOD(call)) {
 		log_msg(LOG_DEFAULT, LVL_ERROR,
 		    "Invalid protocol when trying to receive match id.");
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		delete_match_id(match_id);
 		return EINVAL;
@@ -181,9 +181,9 @@
 	if (match_id == NULL) {
 		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed to allocate match id.");
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return ENOMEM;
 	}
 
-	async_answer_0(callid, EOK);
+	async_answer_0(chandle, EOK);
 
 	match_id->score = IPC_GET_ARG1(call);
@@ -230,5 +230,5 @@
  * Child devices are registered by their parent's device driver.
  */
-static void devman_add_function(cap_call_handle_t callid, ipc_call_t *call)
+static void devman_add_function(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	fun_type_t ftype = (fun_type_t) IPC_GET_ARG1(*call);
@@ -239,5 +239,5 @@
 	dev_node_t *pdev = find_dev_node(&device_tree, dev_handle);
 	if (pdev == NULL) {
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return;
 	}
@@ -250,5 +250,5 @@
 
 		dev_del_ref(pdev);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -258,5 +258,5 @@
 	if (rc != EOK) {
 		dev_del_ref(pdev);
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
@@ -268,5 +268,5 @@
 		fibril_rwlock_write_unlock(&tree->rwlock);
 		dev_del_ref(pdev);
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return;
 	}
@@ -278,5 +278,5 @@
 		fibril_rwlock_write_unlock(&tree->rwlock);
 		dev_del_ref(pdev);
-		async_answer_0(callid, EEXIST);
+		async_answer_0(chandle, EEXIST);
 		printf(NAME ": Warning, driver tried to register `%s' twice.\n",
 		    fun_name);
@@ -303,5 +303,5 @@
 		fun_del_ref(fun);
 		delete_fun_node(fun);
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
@@ -317,5 +317,5 @@
 		fun_busy_unlock(fun);
 		fun_del_ref(fun);
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
@@ -325,8 +325,8 @@
 
 	/* Return device handle to parent's driver. */
-	async_answer_1(callid, EOK, fun->handle);
-}
-
-static void devman_add_function_to_cat(cap_call_handle_t callid, ipc_call_t *call)
+	async_answer_1(chandle, EOK, fun->handle);
+}
+
+static void devman_add_function_to_cat(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*call);
@@ -339,5 +339,5 @@
 	    0, 0, 0, 0);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
@@ -345,5 +345,5 @@
 	fun_node_t *fun = find_fun_node(&device_tree, handle);
 	if (fun == NULL) {
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return;
 	}
@@ -354,5 +354,5 @@
 	if (fun->state == FUN_REMOVED) {
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return;
 	}
@@ -371,5 +371,5 @@
 	fun_del_ref(fun);
 
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
@@ -377,5 +377,5 @@
  *
  */
-static void devman_drv_fun_online(cap_call_handle_t iid, ipc_call_t *icall,
+static void devman_drv_fun_online(cap_call_handle_t icall_handle, ipc_call_t *icall,
     driver_t *drv)
 {
@@ -387,5 +387,5 @@
 	fun = find_fun_node(&device_tree, IPC_GET_ARG1(*icall));
 	if (fun == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -398,5 +398,5 @@
 		fun_busy_unlock(fun);
 		fun_del_ref(fun);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -407,5 +407,5 @@
 		fun_busy_unlock(fun);
 		fun_del_ref(fun);
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -414,5 +414,5 @@
 	fun_del_ref(fun);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -421,5 +421,5 @@
  *
  */
-static void devman_drv_fun_offline(cap_call_handle_t iid, ipc_call_t *icall,
+static void devman_drv_fun_offline(cap_call_handle_t icall_handle, ipc_call_t *icall,
     driver_t *drv)
 {
@@ -429,5 +429,5 @@
 	fun = find_fun_node(&device_tree, IPC_GET_ARG1(*icall));
 	if (fun == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -439,5 +439,5 @@
 		fun_busy_unlock(fun);
 		fun_del_ref(fun);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -448,5 +448,5 @@
 		fun_busy_unlock(fun);
 		fun_del_ref(fun);
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -454,9 +454,9 @@
 	fun_busy_unlock(fun);
 	fun_del_ref(fun);
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
 /** Remove function. */
-static void devman_remove_function(cap_call_handle_t callid, ipc_call_t *call)
+static void devman_remove_function(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	devman_handle_t fun_handle = IPC_GET_ARG1(*call);
@@ -466,5 +466,5 @@
 	fun_node_t *fun = find_fun_node(&device_tree, fun_handle);
 	if (fun == NULL) {
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return;
 	}
@@ -481,5 +481,5 @@
 		fun_busy_unlock(fun);
 		fun_del_ref(fun);
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return;
 	}
@@ -523,5 +523,5 @@
 				fun_busy_unlock(fun);
 				fun_del_ref(fun);
-				async_answer_0(callid, gone_rc);
+				async_answer_0(chandle, gone_rc);
 				return;
 			}
@@ -551,5 +551,5 @@
 				fun_busy_unlock(fun);
 				fun_del_ref(fun);
-				async_answer_0(callid, EIO);
+				async_answer_0(chandle, EIO);
 				return;
 			}
@@ -567,5 +567,5 @@
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "devman_remove_function() succeeded.");
-	async_answer_0(callid, EOK);
+	async_answer_0(chandle, EOK);
 }
 
@@ -586,5 +586,5 @@
 
 /** Function for handling connections from a driver to the device manager. */
-void devman_connection_driver(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+void devman_connection_driver(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	client_t *client;
@@ -592,5 +592,5 @@
 
 	/* Accept the connection. */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	client = async_get_client_data();
@@ -602,5 +602,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -613,5 +613,5 @@
 			if (driver == NULL) {
 				/* First call must be to DEVMAN_DRIVER_REGISTER */
-				async_answer_0(callid, ENOTSUP);
+				async_answer_0(chandle, ENOTSUP);
 				continue;
 			}
@@ -623,27 +623,27 @@
 			if (client->driver != NULL) {
 				fibril_mutex_unlock(&client->mutex);
-				async_answer_0(callid, EINVAL);
+				async_answer_0(chandle, EINVAL);
 				continue;
 			}
-			client->driver = devman_driver_register(callid, &call);
+			client->driver = devman_driver_register(chandle, &call);
 			fibril_mutex_unlock(&client->mutex);
 			break;
 		case DEVMAN_ADD_FUNCTION:
-			devman_add_function(callid, &call);
+			devman_add_function(chandle, &call);
 			break;
 		case DEVMAN_ADD_DEVICE_TO_CATEGORY:
-			devman_add_function_to_cat(callid, &call);
+			devman_add_function_to_cat(chandle, &call);
 			break;
 		case DEVMAN_DRV_FUN_ONLINE:
-			devman_drv_fun_online(callid, &call, driver);
+			devman_drv_fun_online(chandle, &call, driver);
 			break;
 		case DEVMAN_DRV_FUN_OFFLINE:
-			devman_drv_fun_offline(callid, &call, driver);
+			devman_drv_fun_offline(chandle, &call, driver);
 			break;
 		case DEVMAN_REMOVE_FUNCTION:
-			devman_remove_function(callid, &call);
+			devman_remove_function(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			break;
 		}
Index: uspace/srv/devman/main.c
===================================================================
--- uspace/srv/devman/main.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/devman/main.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -66,5 +66,5 @@
 dev_tree_t device_tree;
 
-static void devman_connection_device(cap_call_handle_t iid, ipc_call_t *icall,
+static void devman_connection_device(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
@@ -94,5 +94,5 @@
 		log_msg(LOG_DEFAULT, LVL_ERROR, "IPC forwarding failed - no device or "
 		    "function with handle %" PRIun " was found.", handle);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		goto cleanup;
 	}
@@ -102,5 +102,5 @@
 		    "connect to handle %" PRIun ", refers to a device.",
 		    handle);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		goto cleanup;
 	}
@@ -116,5 +116,5 @@
 		log_msg(LOG_DEFAULT, LVL_ERROR, "IPC forwarding refused - "
 		    "the device %" PRIun " is not in usable state.", handle);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		goto cleanup;
 	}
@@ -123,5 +123,5 @@
 		log_msg(LOG_DEFAULT, LVL_ERROR,
 		    "Could not forward to driver `%s'.", driver->name);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		goto cleanup;
 	}
@@ -138,5 +138,5 @@
 
 	async_exch_t *exch = async_exchange_begin(driver->sess);
-	async_forward_fast(iid, exch, INTERFACE_DDF_CLIENT, handle, 0, IPC_FF_NONE);
+	async_forward_fast(icall_handle, exch, INTERFACE_DDF_CLIENT, handle, 0, IPC_FF_NONE);
 	async_exchange_end(exch);
 
@@ -149,5 +149,5 @@
 }
 
-static void devman_connection_parent(cap_call_handle_t iid, ipc_call_t *icall,
+static void devman_connection_parent(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
@@ -177,5 +177,5 @@
 		log_msg(LOG_DEFAULT, LVL_ERROR, "IPC forwarding failed - no device or "
 		    "function with handle %" PRIun " was found.", handle);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		goto cleanup;
 	}
@@ -196,5 +196,5 @@
 		log_msg(LOG_DEFAULT, LVL_ERROR, "IPC forwarding refused - "
 		    "the device %" PRIun " is not in usable state.", handle);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		goto cleanup;
 	}
@@ -203,5 +203,5 @@
 		log_msg(LOG_DEFAULT, LVL_ERROR,
 		    "Could not forward to driver `%s'.", driver->name);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		goto cleanup;
 	}
@@ -218,5 +218,5 @@
 
 	async_exch_t *exch = async_exchange_begin(driver->sess);
-	async_forward_fast(iid, exch, INTERFACE_DDF_DRIVER, fun_handle, 0, IPC_FF_NONE);
+	async_forward_fast(icall_handle, exch, INTERFACE_DDF_DRIVER, fun_handle, 0, IPC_FF_NONE);
 	async_exchange_end(exch);
 
@@ -229,5 +229,5 @@
 }
 
-static void devman_forward(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void devman_forward(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	iface_t iface = IPC_GET_ARG1(*icall);
@@ -242,5 +242,5 @@
 		    "not found.\n");
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -253,5 +253,5 @@
 
 	async_exch_t *exch = async_exchange_begin(driver->sess);
-	async_forward_fast(iid, exch, iface, handle, 0, IPC_FF_NONE);
+	async_forward_fast(icall_handle, exch, iface, handle, 0, IPC_FF_NONE);
 	async_exchange_end(exch);
 
Index: uspace/srv/fs/cdfs/cdfs_ops.c
===================================================================
--- uspace/srv/fs/cdfs/cdfs_ops.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/fs/cdfs/cdfs_ops.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -1271,8 +1271,8 @@
 	}
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t len;
-	if (!async_data_read_receive(&callid, &len)) {
-		async_answer_0(callid, EINVAL);
+	if (!async_data_read_receive(&chandle, &len)) {
+		async_answer_0(chandle, EINVAL);
 		return EINVAL;
 	}
@@ -1281,5 +1281,5 @@
 		if (pos >= node->size) {
 			*rbytes = 0;
-			async_data_read_finalize(callid, NULL, 0);
+			async_data_read_finalize(chandle, NULL, 0);
 		} else {
 			cdfs_lba_t lba = pos / BLOCK_SIZE;
@@ -1293,9 +1293,9 @@
 			    BLOCK_FLAGS_NONE);
 			if (rc != EOK) {
-				async_answer_0(callid, rc);
+				async_answer_0(chandle, rc);
 				return rc;
 			}
 
-			async_data_read_finalize(callid, block->data + offset,
+			async_data_read_finalize(chandle, block->data + offset,
 			    *rbytes);
 			rc = block_put(block);
@@ -1306,5 +1306,5 @@
 		link_t *link = list_nth(&node->cs_list, pos);
 		if (link == NULL) {
-			async_answer_0(callid, ENOENT);
+			async_answer_0(chandle, ENOENT);
 			return ENOENT;
 		}
@@ -1314,5 +1314,5 @@
 
 		*rbytes = 1;
-		async_data_read_finalize(callid, dentry->name,
+		async_data_read_finalize(chandle, dentry->name,
 		    str_size(dentry->name) + 1);
 	}
Index: uspace/srv/fs/exfat/exfat_ops.c
===================================================================
--- uspace/srv/fs/exfat/exfat_ops.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/fs/exfat/exfat_ops.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -1337,9 +1337,9 @@
 	nodep = EXFAT_NODE(fn);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t len;
-	if (!async_data_read_receive(&callid, &len)) {
+	if (!async_data_read_receive(&chandle, &len)) {
 		exfat_node_put(fn);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return EINVAL;
 	}
@@ -1356,5 +1356,5 @@
 			/* reading beyond the EOF */
 			bytes = 0;
-			(void) async_data_read_finalize(callid, NULL, 0);
+			(void) async_data_read_finalize(chandle, NULL, 0);
 		} else {
 			bytes = min(len, BPS(bs) - pos % BPS(bs));
@@ -1364,8 +1364,8 @@
 			if (rc != EOK) {
 				exfat_node_put(fn);
-				async_answer_0(callid, rc);
+				async_answer_0(chandle, rc);
 				return rc;
 			}
-			(void) async_data_read_finalize(callid,
+			(void) async_data_read_finalize(chandle,
 			    b->data + pos % BPS(bs), bytes);
 			rc = block_put(b);
@@ -1377,5 +1377,5 @@
 	} else {
 		if (nodep->type != EXFAT_DIRECTORY) {
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			return ENOTSUP;
 		}
@@ -1411,5 +1411,5 @@
 err:
 		(void) exfat_node_put(fn);
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return rc;
 
@@ -1419,5 +1419,5 @@
 			goto err;
 		rc = exfat_node_put(fn);
-		async_answer_0(callid, rc != EOK ? rc : ENOENT);
+		async_answer_0(chandle, rc != EOK ? rc : ENOENT);
 		*rbytes = 0;
 		return rc != EOK ? rc : ENOENT;
@@ -1428,5 +1428,5 @@
 		if (rc != EOK)
 			goto err;
-		(void) async_data_read_finalize(callid, name,
+		(void) async_data_read_finalize(chandle, name,
 		    str_size(name) + 1);
 		bytes = (pos - spos) + 1;
@@ -1481,9 +1481,9 @@
 	nodep = EXFAT_NODE(fn);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t len;
-	if (!async_data_write_receive(&callid, &len)) {
+	if (!async_data_write_receive(&chandle, &len)) {
 		(void) exfat_node_put(fn);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return EINVAL;
 	}
@@ -1510,5 +1510,5 @@
 			/* could not expand node */
 			(void) exfat_node_put(fn);
-			async_answer_0(callid, rc);
+			async_answer_0(chandle, rc);
 			return rc;
 		}
@@ -1529,9 +1529,9 @@
 	if (rc != EOK) {
 		(void) exfat_node_put(fn);
-		async_answer_0(callid, rc);
-		return rc;
-	}
-
-	(void) async_data_write_finalize(callid,
+		async_answer_0(chandle, rc);
+		return rc;
+	}
+
+	(void) async_data_write_finalize(chandle,
 	    b->data + pos % BPS(bs), bytes);
 	b->dirty = true;		/* need to sync block */
Index: uspace/srv/fs/fat/fat_ops.c
===================================================================
--- uspace/srv/fs/fat/fat_ops.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/fs/fat/fat_ops.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -1226,9 +1226,9 @@
 	nodep = FAT_NODE(fn);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t len;
-	if (!async_data_read_receive(&callid, &len)) {
+	if (!async_data_read_receive(&chandle, &len)) {
 		fat_node_put(fn);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return EINVAL;
 	}
@@ -1245,5 +1245,5 @@
 			/* reading beyond the EOF */
 			bytes = 0;
-			(void) async_data_read_finalize(callid, NULL, 0);
+			(void) async_data_read_finalize(chandle, NULL, 0);
 		} else {
 			bytes = min(len, BPS(bs) - pos % BPS(bs));
@@ -1253,8 +1253,8 @@
 			if (rc != EOK) {
 				fat_node_put(fn);
-				async_answer_0(callid, rc);
+				async_answer_0(chandle, rc);
 				return rc;
 			}
-			(void) async_data_read_finalize(callid,
+			(void) async_data_read_finalize(chandle,
 			    b->data + pos % BPS(bs), bytes);
 			rc = block_put(b);
@@ -1291,5 +1291,5 @@
 err:
 		(void) fat_node_put(fn);
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return rc;
 
@@ -1299,5 +1299,5 @@
 			goto err;
 		rc = fat_node_put(fn);
-		async_answer_0(callid, rc != EOK ? rc : ENOENT);
+		async_answer_0(chandle, rc != EOK ? rc : ENOENT);
 		*rbytes = 0;
 		return rc != EOK ? rc : ENOENT;
@@ -1308,5 +1308,5 @@
 		if (rc != EOK)
 			goto err;
-		(void) async_data_read_finalize(callid, name,
+		(void) async_data_read_finalize(chandle, name,
 		    str_size(name) + 1);
 		bytes = (pos - spos) + 1;
@@ -1338,9 +1338,9 @@
 	nodep = FAT_NODE(fn);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t len;
-	if (!async_data_write_receive(&callid, &len)) {
+	if (!async_data_write_receive(&chandle, &len)) {
 		(void) fat_node_put(fn);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return EINVAL;
 	}
@@ -1370,5 +1370,5 @@
 		if (rc != EOK) {
 			(void) fat_node_put(fn);
-			async_answer_0(callid, rc);
+			async_answer_0(chandle, rc);
 			return rc;
 		}
@@ -1376,8 +1376,8 @@
 		if (rc != EOK) {
 			(void) fat_node_put(fn);
-			async_answer_0(callid, rc);
+			async_answer_0(chandle, rc);
 			return rc;
 		}
-		(void) async_data_write_finalize(callid,
+		(void) async_data_write_finalize(chandle,
 		    b->data + pos % BPS(bs), bytes);
 		b->dirty = true;		/* need to sync block */
@@ -1409,5 +1409,5 @@
 			/* could not allocate a chain of nclsts clusters */
 			(void) fat_node_put(fn);
-			async_answer_0(callid, rc);
+			async_answer_0(chandle, rc);
 			return rc;
 		}
@@ -1417,5 +1417,5 @@
 			(void) fat_free_clusters(bs, service_id, mcl);
 			(void) fat_node_put(fn);
-			async_answer_0(callid, rc);
+			async_answer_0(chandle, rc);
 			return rc;
 		}
@@ -1425,8 +1425,8 @@
 			(void) fat_free_clusters(bs, service_id, mcl);
 			(void) fat_node_put(fn);
-			async_answer_0(callid, rc);
+			async_answer_0(chandle, rc);
 			return rc;
 		}
-		(void) async_data_write_finalize(callid,
+		(void) async_data_write_finalize(chandle,
 		    b->data + pos % BPS(bs), bytes);
 		b->dirty = true;		/* need to sync block */
Index: uspace/srv/fs/locfs/locfs_ops.c
===================================================================
--- uspace/srv/fs/locfs/locfs_ops.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/fs/locfs/locfs_ops.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -478,8 +478,8 @@
 {
 	if (index == 0) {
-		cap_call_handle_t callid;
+		cap_call_handle_t chandle;
 		size_t size;
-		if (!async_data_read_receive(&callid, &size)) {
-			async_answer_0(callid, EINVAL);
+		if (!async_data_read_receive(&chandle, &size)) {
+			async_answer_0(chandle, EINVAL);
 			return EINVAL;
 		}
@@ -500,5 +500,5 @@
 
 		if (pos < count) {
-			async_data_read_finalize(callid, desc[pos].name, str_size(desc[pos].name) + 1);
+			async_data_read_finalize(chandle, desc[pos].name, str_size(desc[pos].name) + 1);
 			free(desc);
 			*rbytes = 1;
@@ -515,5 +515,5 @@
 
 			if (pos < count) {
-				async_data_read_finalize(callid, desc[pos].name, str_size(desc[pos].name) + 1);
+				async_data_read_finalize(chandle, desc[pos].name, str_size(desc[pos].name) + 1);
 				free(desc);
 				*rbytes = 1;
@@ -524,5 +524,5 @@
 		}
 
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return ENOENT;
 	}
@@ -532,8 +532,8 @@
 	if (type == LOC_OBJECT_NAMESPACE) {
 		/* Namespace directory */
-		cap_call_handle_t callid;
+		cap_call_handle_t chandle;
 		size_t size;
-		if (!async_data_read_receive(&callid, &size)) {
-			async_answer_0(callid, EINVAL);
+		if (!async_data_read_receive(&chandle, &size)) {
+			async_answer_0(chandle, EINVAL);
 			return EINVAL;
 		}
@@ -543,5 +543,5 @@
 
 		if (pos < count) {
-			async_data_read_finalize(callid, desc[pos].name, str_size(desc[pos].name) + 1);
+			async_data_read_finalize(chandle, desc[pos].name, str_size(desc[pos].name) + 1);
 			free(desc);
 			*rbytes = 1;
@@ -550,5 +550,5 @@
 
 		free(desc);
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return ENOENT;
 	}
@@ -568,8 +568,8 @@
 		assert(dev->sess);
 
-		cap_call_handle_t callid;
-		if (!async_data_read_receive(&callid, NULL)) {
+		cap_call_handle_t chandle;
+		if (!async_data_read_receive(&chandle, NULL)) {
 			fibril_mutex_unlock(&services_mutex);
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return EINVAL;
 		}
@@ -583,5 +583,5 @@
 
 		/* Forward the IPC_M_DATA_READ request to the driver */
-		async_forward_fast(callid, exch, 0, 0, 0, IPC_FF_ROUTE_FROM_ME);
+		async_forward_fast(chandle, exch, 0, 0, 0, IPC_FF_ROUTE_FROM_ME);
 
 		async_exchange_end(exch);
@@ -632,8 +632,8 @@
 		assert(dev->sess);
 
-		cap_call_handle_t callid;
-		if (!async_data_write_receive(&callid, NULL)) {
+		cap_call_handle_t chandle;
+		if (!async_data_write_receive(&chandle, NULL)) {
 			fibril_mutex_unlock(&services_mutex);
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return EINVAL;
 		}
@@ -647,5 +647,5 @@
 
 		/* Forward the IPC_M_DATA_WRITE request to the driver */
-		async_forward_fast(callid, exch, 0, 0, 0, IPC_FF_ROUTE_FROM_ME);
+		async_forward_fast(chandle, exch, 0, 0, 0, IPC_FF_ROUTE_FROM_ME);
 
 		async_exchange_end(exch);
Index: uspace/srv/fs/mfs/mfs_ops.c
===================================================================
--- uspace/srv/fs/mfs/mfs_ops.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/fs/mfs/mfs_ops.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -837,10 +837,10 @@
 	struct mfs_ino_info *ino_i;
 	size_t len, bytes = 0;
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 
 	mnode = fn->data;
 	ino_i = mnode->ino_i;
 
-	if (!async_data_read_receive(&callid, &len)) {
+	if (!async_data_read_receive(&chandle, &len)) {
 		rc = EINVAL;
 		goto out_error;
@@ -869,8 +869,8 @@
 
 		rc = mfs_node_put(fn);
-		async_answer_0(callid, rc != EOK ? rc : ENOENT);
+		async_answer_0(chandle, rc != EOK ? rc : ENOENT);
 		return rc;
 found:
-		async_data_read_finalize(callid, d_info.d_name,
+		async_data_read_finalize(chandle, d_info.d_name,
 		    str_size(d_info.d_name) + 1);
 		bytes = ((pos - spos) + 1);
@@ -881,5 +881,5 @@
 			/* Trying to read beyond the end of file */
 			bytes = 0;
-			(void) async_data_read_finalize(callid, NULL, 0);
+			(void) async_data_read_finalize(chandle, NULL, 0);
 			goto out_success;
 		}
@@ -903,5 +903,5 @@
 			}
 			memset(buf, 0, sizeof(sbi->block_size));
-			async_data_read_finalize(callid,
+			async_data_read_finalize(chandle,
 			    buf + pos % sbi->block_size, bytes);
 			free(buf);
@@ -913,5 +913,5 @@
 			goto out_error;
 
-		async_data_read_finalize(callid, b->data +
+		async_data_read_finalize(chandle, b->data +
 		    pos % sbi->block_size, bytes);
 
@@ -928,5 +928,5 @@
 out_error:
 	tmp = mfs_node_put(fn);
-	async_answer_0(callid, tmp != EOK ? tmp : rc);
+	async_answer_0(chandle, tmp != EOK ? tmp : rc);
 	return tmp != EOK ? tmp : rc;
 }
@@ -946,8 +946,8 @@
 		return ENOENT;
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t len;
 
-	if (!async_data_write_receive(&callid, &len)) {
+	if (!async_data_write_receive(&chandle, &len)) {
 		r = EINVAL;
 		goto out_err;
@@ -992,5 +992,5 @@
 		memset(b->data, 0, sbi->block_size);
 
-	async_data_write_finalize(callid, b->data + (pos % bs), bytes);
+	async_data_write_finalize(chandle, b->data + (pos % bs), bytes);
 	b->dirty = true;
 
@@ -1012,5 +1012,5 @@
 out_err:
 	mfs_node_put(fn);
-	async_answer_0(callid, r);
+	async_answer_0(chandle, r);
 	return r;
 }
Index: uspace/srv/fs/tmpfs/tmpfs_ops.c
===================================================================
--- uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -484,8 +484,8 @@
 	 * Receive the read request.
 	 */
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EINVAL);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EINVAL);
 		return EINVAL;
 	}
@@ -494,5 +494,5 @@
 	if (nodep->type == TMPFS_FILE) {
 		bytes = min(nodep->size - pos, size);
-		(void) async_data_read_finalize(callid, nodep->data + pos,
+		(void) async_data_read_finalize(chandle, nodep->data + pos,
 		    bytes);
 	} else {
@@ -510,5 +510,5 @@
 
 		if (lnk == NULL) {
-			async_answer_0(callid, ENOENT);
+			async_answer_0(chandle, ENOENT);
 			return ENOENT;
 		}
@@ -516,5 +516,5 @@
 		dentryp = list_get_instance(lnk, tmpfs_dentry_t, link);
 
-		(void) async_data_read_finalize(callid, dentryp->name,
+		(void) async_data_read_finalize(chandle, dentryp->name,
 		    str_size(dentryp->name) + 1);
 		bytes = 1;
@@ -547,8 +547,8 @@
 	 * Receive the write request.
 	 */
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EINVAL);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EINVAL);
 		return EINVAL;
 	}
@@ -559,5 +559,5 @@
 	if (pos + size <= nodep->size) {
 		/* The file size is not changing. */
-		(void) async_data_write_finalize(callid, nodep->data + pos,
+		(void) async_data_write_finalize(chandle, nodep->data + pos,
 		    size);
 		goto out;
@@ -573,5 +573,5 @@
 	void *newdata = realloc(nodep->data, nodep->size + delta);
 	if (!newdata) {
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		size = 0;
 		goto out;
@@ -581,5 +581,5 @@
 	nodep->size += delta;
 	nodep->data = newdata;
-	(void) async_data_write_finalize(callid, nodep->data + pos, size);
+	(void) async_data_write_finalize(chandle, nodep->data + pos, size);
 
 out:
Index: uspace/srv/fs/udf/udf_file.c
===================================================================
--- uspace/srv/fs/udf/udf_file.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/fs/udf/udf_file.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -568,5 +568,5 @@
  *
  * @param read_len Returned value. Length file or part file which we could read.
- * @param callid
+ * @param chandle
  * @param node     UDF node
  * @param pos      Position in file since we have to read.
@@ -576,5 +576,5 @@
  *
  */
-errno_t udf_read_file(size_t *read_len, cap_call_handle_t callid, udf_node_t *node,
+errno_t udf_read_file(size_t *read_len, cap_call_handle_t chandle, udf_node_t *node,
     aoff64_t pos, size_t len)
 {
@@ -598,5 +598,5 @@
 	    BLOCK_FLAGS_NONE);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return rc;
 	}
@@ -619,5 +619,5 @@
 	}
 
-	async_data_read_finalize(callid, block->data + sector_pos, *read_len);
+	async_data_read_finalize(chandle, block->data + sector_pos, *read_len);
 	return block_put(block);
 }
Index: uspace/srv/fs/udf/udf_ops.c
===================================================================
--- uspace/srv/fs/udf/udf_ops.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/fs/udf/udf_ops.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -464,8 +464,8 @@
 	udf_node_t *node = UDF_NODE(rfn);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t len = 0;
-	if (!async_data_read_receive(&callid, &len)) {
-		async_answer_0(callid, EINVAL);
+	if (!async_data_read_receive(&chandle, &len)) {
+		async_answer_0(chandle, EINVAL);
 		udf_node_put(rfn);
 		return EINVAL;
@@ -475,5 +475,5 @@
 		if (pos >= node->data_size) {
 			*rbytes = 0;
-			async_data_read_finalize(callid, NULL, 0);
+			async_data_read_finalize(chandle, NULL, 0);
 			udf_node_put(rfn);
 			return EOK;
@@ -482,9 +482,9 @@
 		size_t read_len = 0;
 		if (node->data == NULL)
-			rc = udf_read_file(&read_len, callid, node, pos, len);
+			rc = udf_read_file(&read_len, chandle, node, pos, len);
 		else {
 			/* File in allocation descriptors area */
 			read_len = (len < node->data_size) ? len : node->data_size;
-			async_data_read_finalize(callid, node->data + pos, read_len);
+			async_data_read_finalize(chandle, node->data + pos, read_len);
 			rc = EOK;
 		}
@@ -505,5 +505,5 @@
 			    fid->lenght_file_id, &node->instance->charset);
 
-			async_data_read_finalize(callid, name, str_size(name) + 1);
+			async_data_read_finalize(chandle, name, str_size(name) + 1);
 			*rbytes = 1;
 			free(name);
@@ -517,5 +517,5 @@
 			*rbytes = 0;
 			udf_node_put(rfn);
-			async_answer_0(callid, ENOENT);
+			async_answer_0(chandle, ENOENT);
 			return ENOENT;
 		}
